/*!
jQuery wookmark plugin
@name jquery.wookmark.js
@author Christoph Ono (chri@sto.ph or @gbks)
@author Sebastian Helzle (sebastian@helzle.net or @sebobo)
@version 1.4.4
@date 10/16/2013
@category jQuery plugin
@copyright (c) 2009-2013 Christoph Ono (www.wookmark.com)
@license Licensed under the MIT (http://www.opensource.org/licenses/mit-license.php) license.
*/(function(e){"function"==typeof define&&define.amd?define(["jquery"],e):e(jQuery)})(function(e){var t,n,r;r=function(e,t){return function(){return e.apply(t,arguments)}},n={align:"center",autoResize:!1,comparator:null,container:e("body"),ignoreInactiveItems:!0,itemWidth:0,fillEmptySpace:!1,flexibleWidth:0,direction:void 0,offset:2,onLayoutChanged:void 0,outerOffset:0,resizeDelay:50,possibleFilters:[]},t=function(){function t(t,i){this.handler=t,this.columns=this.containerWidth=this.resizeTimer=null,this.activeItemCount=0,this.itemHeightsDirty=!0,this.placeholders=[],e.extend(!0,this,n,i),this.update=r(this.update,this),this.onResize=r(this.onResize,this),this.onRefresh=r(this.onRefresh,this),this.getItemWidth=r(this.getItemWidth,this),this.layout=r(this.layout,this),this.layoutFull=r(this.layoutFull,this),this.layoutColumns=r(this.layoutColumns,this),this.filter=r(this.filter,this),this.clear=r(this.clear,this),this.getActiveItems=r(this.getActiveItems,this),this.refreshPlaceholders=r(this.refreshPlaceholders,this),this.sortElements=r(this.sortElements,this);for(var o,u,a,f=0,l=0,c=0,h={};t.length>f;f++)if(u=t.eq(f),o=u.data("filterClass"),"object"==typeof o&&o.length>0)for(l=0;o.length>l;l++)a=e.trim(o[l]).toLowerCase(),a in h||(h[a]=[]),h[a].push(u[0]);for(var p=this.possibleFilters;p.length>c;c++){var d=e.trim(p[c]).toLowerCase();d in h||(h[d]=[])}this.filterClasses=h,this.autoResize&&e(window).bind("resize.wookmark",this.onResize),this.container.bind("refreshWookmark",this.onRefresh)}return t.prototype.update=function(t){this.itemHeightsDirty=!0,e.extend(!0,this,t)},t.prototype.onResize=function(){clearTimeout(this.resizeTimer),this.itemHeightsDirty=0!==this.flexibleWidth,this.resizeTimer=setTimeout(this.layout,this.resizeDelay)},t.prototype.onRefresh=function(){this.itemHeightsDirty=!0,this.layout()},t.prototype.filter=function(t,n){var r,i,s,o,u,a=[],f=e();if(t=t||[],n=n||"or",t.length){for(i=0;t.length>i;i++)u=e.trim(t[i].toLowerCase()),u in this.filterClasses&&a.push(this.filterClasses[u]);if(r=a.length,"or"==n||1==r)for(i=0;r>i;i++)f=f.add(a[i]);else if("and"==n){var l,c,h,p=a[0],d=!0;for(i=1;r>i;i++)a[i].length<p.length&&(p=a[i]);for(p=p||[],i=0;p.length>i;i++){for(c=p[i],d=!0,s=0;a.length>s&&d;s++)if(h=a[s],p!=h){for(o=0,l=!1;h.length>o&&!l;o++)l=h[o]==c;d&=l}d&&f.push(p[i])}}this.handler.not(f).addClass("inactive")}else f=this.handler;f.removeClass("inactive"),this.columns=null,this.layout()},t.prototype.refreshPlaceholders=function(t,n){for(var r,i,s,o,u,a,f=this.placeholders.length,l=this.columns.length,c=this.container.innerHeight();l>f;f++)r=e('<div class="wookmark-placeholder"/>').appendTo(this.container),this.placeholders.push(r);for(a=this.offset+2*parseInt(this.placeholders[0].css("borderWidth"),10),f=0;this.placeholders.length>f;f++)if(r=this.placeholders[f],s=this.columns[f],f>=l||!s[s.length-1])r.css("display","none");else{if(i=s[s.length-1],!i)continue;u=i.data("wookmark-top")+i.data("wookmark-height")+this.offset,o=c-u-a,r.css({position:"absolute",display:o>0?"block":"none",left:f*t+n,top:u,width:t-a,height:o})}},t.prototype.getActiveItems=function(){return this.ignoreInactiveItems?this.handler.not(".inactive"):this.handler},t.prototype.getItemWidth=function(){var e=this.itemWidth,t=this.container.width()-2*this.outerOffset,n=this.handler.eq(0),r=this.flexibleWidth;if(void 0===this.itemWidth||0===this.itemWidth&&!this.flexibleWidth?e=n.outerWidth():"string"==typeof this.itemWidth&&this.itemWidth.indexOf("%")>=0&&(e=parseFloat(this.itemWidth)/100*t),r){"string"==typeof r&&r.indexOf("%")>=0&&(r=parseFloat(r)/100*t);var i=~~(.5+(t+this.offset)/(r+this.offset)),s=Math.min(r,~~((t-(i-1)*this.offset)/i));e=Math.max(e,s),this.handler.css("width",e)}return e},t.prototype.layout=function(e){if(this.container.is(":visible")){var t,n=this.getItemWidth()+this.offset,r=this.container.width(),i=r-2*this.outerOffset,s=~~((i+this.offset)/n),o=0,u=0,a=0,f=this.getActiveItems(),l=f.length;if(this.itemHeightsDirty||!this.container.data("itemHeightsInitialized")){for(;l>a;a++)t=f.eq(a),t.data("wookmark-height",t.outerHeight());this.itemHeightsDirty=!1,this.container.data("itemHeightsInitialized",!0)}s=Math.max(1,Math.min(s,l)),o=this.outerOffset,"center"==this.align&&(o+=~~(.5+(i-(s*n-this.offset))>>1)),this.direction=this.direction||("right"==this.align?"right":"left"),u=e||null===this.columns||this.columns.length!=s||this.activeItemCount!=l?this.layoutFull(n,s,o):this.layoutColumns(n,o),this.activeItemCount=l,this.container.css("height",u),this.fillEmptySpace&&this.refreshPlaceholders(n,o),void 0!==this.onLayoutChanged&&"function"==typeof this.onLayoutChanged&&this.onLayoutChanged()}},t.prototype.sortElements=function(e){return"function"==typeof this.comparator?e.sort(this.comparator):e},t.prototype.layoutFull=function(t,n,r){var i,s,o=0,u=0,a=e.makeArray(this.getActiveItems()),f=a.length,l=null,c=null,h={position:"absolute"},p=[],d="left"==this.align?!0:!1;for(this.columns=[],a=this.sortElements(a);n>p.length;)p.push(this.outerOffset),this.columns.push([]);for(;f>o;o++){for(i=e(a[o]),l=p[0],c=0,u=0;n>u;u++)l>p[u]&&(l=p[u],c=u);s=r,(c>0||!d)&&(s+=c*t),h[this.direction]=s,h.top=l,i.css(h).data("wookmark-top",l),p[c]+=i.data("wookmark-height")+this.offset,this.columns[c].push(i)}return Math.max.apply(Math,p)},t.prototype.layoutColumns=function(e,t){for(var n,r,i,s,o,u=[],a=0,f=0;this.columns.length>a;a++){for(u.push(this.outerOffset),r=this.columns[a],o=a*e+t,n=u[a],f=0;r.length>f;f++)i=r[f],s={top:n},s[this.direction]=o,i.css(s).data("wookmark-top",n),n+=i.data("wookmark-height")+this.offset;u[a]=n}return Math.max.apply(Math,u)},t.prototype.clear=function(){clearTimeout(this.resizeTimer),e(window).unbind("resize.wookmark",this.onResize),this.container.unbind("refreshWookmark",this.onRefresh)},t}(),e.fn.wookmark=function(e){return this.wookmarkInstance?this.wookmarkInstance.update(e||{}):this.wookmarkInstance=new t(this,e||{}),this.wookmarkInstance.layout(!0),this.show()}});(function(){"use strict";function e(){}function t(e,t){for(var n=e.length;n--;)if(e[n].listener===t)return n;return-1}var n=e.prototype;n.getListeners=function(e){var t,n,r=this._getEvents();if("object"==typeof e){t={};for(n in r)r.hasOwnProperty(n)&&e.test(n)&&(t[n]=r[n])}else t=r[e]||(r[e]=[]);return t},n.flattenListeners=function(e){var t,n=[];for(t=0;e.length>t;t+=1)n.push(e[t].listener);return n},n.getListenersAsObject=function(e){var t,n=this.getListeners(e);return n instanceof Array&&(t={},t[e]=n),t||n},n.addListener=function(e,n){var r,i=this.getListenersAsObject(e),s="object"==typeof n;for(r in i)i.hasOwnProperty(r)&&-1===t(i[r],n)&&i[r].push(s?n:{listener:n,once:!1});return this},n.on=n.addListener,n.addOnceListener=function(e,t){return this.addListener(e,{listener:t,once:!0})},n.once=n.addOnceListener,n.defineEvent=function(e){return this.getListeners(e),this},n.defineEvents=function(e){for(var t=0;e.length>t;t+=1)this.defineEvent(e[t]);return this},n.removeListener=function(e,n){var r,i,s=this.getListenersAsObject(e);for(i in s)s.hasOwnProperty(i)&&(r=t(s[i],n),-1!==r&&s[i].splice(r,1));return this},n.off=n.removeListener,n.addListeners=function(e,t){return this.manipulateListeners(!1,e,t)},n.removeListeners=function(e,t){return this.manipulateListeners(!0,e,t)},n.manipulateListeners=function(e,t,n){var r,i,s=e?this.removeListener:this.addListener,o=e?this.removeListeners:this.addListeners;if("object"!=typeof t||t instanceof RegExp)for(r=n.length;r--;)s.call(this,t,n[r]);else for(r in t)t.hasOwnProperty(r)&&(i=t[r])&&("function"==typeof i?s.call(this,r,i):o.call(this,r,i));return this},n.removeEvent=function(e){var t,n=typeof e,r=this._getEvents();if("string"===n)delete r[e];else if("object"===n)for(t in r)r.hasOwnProperty(t)&&e.test(t)&&delete r[t];else delete this._events;return this},n.emitEvent=function(e,t){var n,r,i,s,o=this.getListenersAsObject(e);for(i in o)if(o.hasOwnProperty(i))for(r=o[i].length;r--;)n=o[i][r],s=n.listener.apply(this,t||[]),(s===this._getOnceReturnValue()||n.once===!0)&&this.removeListener(e,o[i][r].listener);return this},n.trigger=n.emitEvent,n.emit=function(e){var t=Array.prototype.slice.call(arguments,1);return this.emitEvent(e,t)},n.setOnceReturnValue=function(e){return this._onceReturnValue=e,this},n._getOnceReturnValue=function(){return this.hasOwnProperty("_onceReturnValue")?this._onceReturnValue:!0},n._getEvents=function(){return this._events||(this._events={})},"function"==typeof define&&define.amd?define(function(){return e}):"undefined"!=typeof module&&module.exports?module.exports=e:this.EventEmitter=e}).call(this),function(e){"use strict";var t=document.documentElement,n=function(){};t.addEventListener?n=function(e,t,n){e.addEventListener(t,n,!1)}:t.attachEvent&&(n=function(t,n,r){t[n+r]=r.handleEvent?function(){var t=e.event;t.target=t.target||t.srcElement,r.handleEvent.call(r,t)}:function(){var n=e.event;n.target=n.target||n.srcElement,r.call(t,n)},t.attachEvent("on"+n,t[n+r])});var r=function(){};t.removeEventListener?r=function(e,t,n){e.removeEventListener(t,n,!1)}:t.detachEvent&&(r=function(e,t,n){e.detachEvent("on"+t,e[t+n]);try{delete e[t+n]}catch(r){e[t+n]=void 0}});var i={bind:n,unbind:r};"function"==typeof define&&define.amd?define(i):e.eventie=i}(this),function(e){"use strict";function t(e,t){for(var n in t)e[n]=t[n];return e}function n(e){return"[object Array]"===a.call(e)}function r(e){var t=[];if(n(e))t=e;else if("number"==typeof e.length)for(var r=0,i=e.length;i>r;r++)t.push(e[r]);else t.push(e);return t}function i(e,n){function i(e,n,o){if(!(this instanceof i))return new i(e,n);"string"==typeof e&&(e=document.querySelectorAll(e)),this.elements=r(e),this.options=t({},this.options),"function"==typeof n?o=n:t(this.options,n),o&&this.on("always",o),this.getImages(),s&&(this.jqDeferred=new s.Deferred);var u=this;setTimeout(function(){u.check()})}function a(e){this.img=e}i.prototype=new e,i.prototype.options={},i.prototype.getImages=function(){this.images=[];for(var e=0,t=this.elements.length;t>e;e++){var n=this.elements[e];"IMG"===n.nodeName&&this.addImage(n);for(var r=n.querySelectorAll("img"),i=0,s=r.length;s>i;i++){var o=r[i];this.addImage(o)}}},i.prototype.addImage=function(e){var t=new a(e);this.images.push(t)},i.prototype.check=function(){function e(e,i){return t.options.debug&&u&&o.log("confirm",e,i),t.progress(e),n++,n===r&&t.complete(),!0}var t=this,n=0,r=this.images.length;if(this.hasAnyBroken=!1,!r)return this.complete(),void 0;for(var i=0;r>i;i++){var s=this.images[i];s.on("confirm",e),s.check()}},i.prototype.progress=function(e){this.hasAnyBroken=this.hasAnyBroken||!e.isLoaded;var t=this;setTimeout(function(){t.emit("progress",t,e),t.jqDeferred&&t.jqDeferred.notify(t,e)})},i.prototype.complete=function(){var e=this.hasAnyBroken?"fail":"done";this.isComplete=!0;var t=this;setTimeout(function(){if(t.emit(e,t),t.emit("always",t),t.jqDeferred){var n=t.hasAnyBroken?"reject":"resolve";t.jqDeferred[n](t)}})},s&&(s.fn.imagesLoaded=function(e,t){var n=new i(this,e,t);return n.jqDeferred.promise(s(this))});var f={};return a.prototype=new e,a.prototype.check=function(){var e=f[this.img.src];if(e)return this.useCached(e),void 0;if(f[this.img.src]=this,this.img.complete&&void 0!==this.img.naturalWidth)return this.confirm(0!==this.img.naturalWidth,"naturalWidth"),void 0;var t=this.proxyImage=new Image;n.bind(t,"load",this),n.bind(t,"error",this),t.src=this.img.src},a.prototype.useCached=function(e){if(e.isConfirmed)this.confirm(e.isLoaded,"cached was confirmed");else{var t=this;e.on("confirm",function(e){return t.confirm(e.isLoaded,"cache emitted confirmed"),!0})}},a.prototype.confirm=function(e,t){this.isConfirmed=!0,this.isLoaded=e,this.emit("confirm",this,t)},a.prototype.handleEvent=function(e){var t="on"+e.type;this[t]&&this[t](e)},a.prototype.onload=function(){this.confirm(!0,"onload"),this.unbindProxyEvents()},a.prototype.onerror=function(){this.confirm(!1,"onerror"),this.unbindProxyEvents()},a.prototype.unbindProxyEvents=function(){n.unbind(this.proxyImage,"load",this),n.unbind(this.proxyImage,"error",this)},i}var s=e.jQuery,o=e.console,u=o!==void 0,a=Object.prototype.toString;"function"==typeof define&&define.amd?define(["eventEmitter/EventEmitter","eventie/eventie"],i):e.imagesLoaded=i(e.EventEmitter,e.eventie)}(window);